Verified Commit b9c08f39 authored by Hugo Kerstens's avatar Hugo Kerstens
Browse files

Require Cython numpy and scipy for setup

parent 8b9fd031
......@@ -15,6 +15,12 @@ install_requires = [
'matplotlib',
]
setup_requires = [
'Cython',
'numpy',
'scipy'
]
setup_stools(
name='poisson',
description='Poisson solver using finite volume',
......@@ -25,6 +31,7 @@ setup_stools(
'Programming Language :: Python :: 3.6',],
packages=find_packages('.'),
install_requires=install_requires,
setup_requires=setup_requires
)
from distutils.core import setup as setup_cy
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment